#!/sbin/sh

TMP_DIR=/tmp/DataOnSD
SYS_BIN=/system/bin
BIN_FILE=$SYS_BIN/vold
BIN_ORIG=$BIN_FILE-original
BIN_COPY=$BIN_FILE-copy
BIN_DOSD=mount_seandroid

if [[ -f $BIN_FILE ]] && [[ -f $TMP_DIR-$BIN_DOSD ]]; then
  mv $TMP_DIR-$BIN_DOSD $SYS_BIN/$BIN_DOSD
  chown 0:2000 $SYS_BIN/$BIN_DOSD
  chmod 755 $SYS_BIN/$BIN_DOSD
  busybox chcon --reference=$BIN_FILE $SYS_BIN/$BIN_DOSD
  if [[ ! -f $BIN_ORIG ]]; then
    mv $BIN_FILE $BIN_ORIG
  else
    rm $BIN_FILE
  fi
  cp $BIN_ORIG $BIN_COPY
  chown 0:2000 $BIN_COPY
  chmod 755 $BIN_COPY
  busybox chcon --reference=$SYS_BIN $BIN_COPY
  mv $SYS_BIN/$BIN_DOSD $BIN_FILE
  exit 0
fi
exit 1
